Bug 67361 - [chromium/835]: Crash when inserting text with a trailing newline into a textarea via JS
Summary: [chromium/835]: Crash when inserting text with a trailing newline into a text...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on: 66241
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-31 22:59 PDT by Ryosuke Niwa
Modified: 2011-09-06 12:13 PDT (History)
3 users (show)

See Also:


Attachments
fixes the bug on 835 branch (16.92 KB, patch)
2011-08-31 23:20 PDT, Ryosuke Niwa
no flags Details | Formatted Diff | Diff
fixed a bug in setInnerTextValue (16.92 KB, patch)
2011-08-31 23:22 PDT, Ryosuke Niwa
tkent: review+
tkent: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-08-31 22:59:14 PDT
We need to create a fix for the bug 66241 for chromium branch 835.
Comment 1 Ryosuke Niwa 2011-08-31 23:20:14 PDT
Created attachment 105899 [details]
fixes the bug on 835 branch
Comment 2 Ryosuke Niwa 2011-08-31 23:22:49 PDT
Created attachment 105900 [details]
fixed a bug in setInnerTextValue
Comment 3 Kent Tamura 2011-09-01 00:35:18 PDT
Comment on attachment 105900 [details]
fixed a bug in setInnerTextValue

r+, but let's wait for a merge approval.
Comment 4 Ryosuke Niwa 2011-09-06 12:13:01 PDT
This change turned out to be too risky, not fixing in the branch.